import 'package:posix/src/string/string.dart';

class PosixException implements Exception {
  String message;

  /// This should be the value returned by errno().
  int code;

  /// An optional value which allows the caller to over-ride the
  /// standard error returned vi [sterror(errno)]. If not supplied then
  /// we call [strerror(errno)] to get the posix error description.
  String? posixError;
  PosixException(this.message, this.code, {this.posixError});

  @override
  String toString() {
    posixError ??= strerror(code);

    return 'Error: $code $posixError Message: $message';
  }
}
